Name:           python-nd2reader
Version:        3.3.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A tool for reading ND2 files produced by NIS Elements

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://open-science-tools.github.io/nd2reader/
Source:         %{pypi_source nd2reader}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'nd2reader' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-nd2reader
Summary:        %{summary}

%description -n python3-nd2reader %_description


%prep
%autosetup -p1 -n nd2reader-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-nd2reader -f %{pyproject_files}


%changelog
%autochangelog